Welcome to Visual Comparer

Welcome!

Purpose
What's new in this version?
The system requirements
Quick start
Visual Comparer (tm), Copyright (c) 2003 - 2006, Nikeware. All right reserved.


What's new in this release

What's new in this version

Visual Comparer 1.60 (build 0405)
 | new design for icons on toolbars;
 | advanced file masks in file filters. Now you can make complex file masks ("*box.cpp" or "*.h_version_??" for example);
 | The "TipsOfTheDay" improved;
 | when merging lines with "Ctrl+Alt+Left/Right", the cursor does advance to the next line/difference block;
 | "swap paths" and "copy left path to right" commands on "Comparison" toolbar;
 | new arguments for the user-defined tools and applications: $(SrcFileName), $(TrgFileName), $(SrcFileExt) and $(TrgFileExt);
 | alternative font added (See menu Tools->Settings->Editor). Use "F11" to quick toggle between general and alternative fonts.

Related Topics

Limitations in trial version

Review of previous versions


System requirements

Visual Comparer was developed and tested on Windows NT (version 4.0), Windows 2000 and Windows XP. It does not contain platform-specific code. Therefore equally well should work and the majority of other Windows-platforms.
Requirements:
 | Windows NT 4.0 (with Internet Explorer 5.0 or higher);
 | Windows 2000 or Windows XP;
 | Windows 95 (with Internet Explorer 5.0 or higher);
 | Windows 98 or Windows Me.
Limitations:
 | ANSI version of Visual Comparer does not support text files in UNICODE or UTF-8 formats, use Unicode version instead;
 | This application for Windows platform only;
 | Visual Comparer is intended to compare text files only.


Limitations in trial version

The are limitations in trial version of Visual Comparer:
 | Complete auto adjustment of similar lines of files not work;
 | "Parking Splitter" command not work;
 | "Swap Panes" command not work;
 | setup of the normal width of scrollbar in the comparison map not possible;
 | Shift+MouseWheel for scrolling of the text horizontally not work;
 | Ctrl+MouseWheel for going through the next/prev differences not work;
 | "Insert Spaces" option not work;
 | bold style for tokens in syntax highlight parsers not work;
 | centre splitter bar by double mouse click on him not work.

Note: We don't think that these and similar restrictions touching general functionality of the application.

Related Topics

How to register


Quick Start

1. Select required files to match. There are some ways to choose the files to being compared in Visual Comparer:
 | You simply can start Visual Comparer. There will appear the dialog box of choice for the first and second files. Indicate the required files being compared.
 | From a command line: if you use any file managers (for example Total Commander or FAR), utilites or programs with possibility to start the other programs, you can set up to start Visual Comparer. The parameters of a command line as follows: VisCmp <first_file_name> <second_file_name> Note: For more parameters see Command line parameters.
 | After comparison of first files pair you can choose the next pair not exiting off the programm. Use Comparison Bar or menu command File - "Compare files...".
2. Merging and editing:
To merge the differences use the following commands:
  • - move through the differences;
  • - merging of differences;
Visual Comparer is a full-function text editor. You can edit the required parts of texts in both files. Use this possibility to make improvements if necessary.
For roll back or repetition of actions you have already done use Undo/Redo commands.
Speed up process of merging with keyboard accelerators:
  • "Alt+Down", "Alt+Up" and "Ctrl+MouseWheel" - move through differences;
  • "Alt+Right" and "Alt+Left" - merging of differences;
  • "Ctrl+Alt+Right" and "Ctrl+Alt+Left" - merging only one line into the differences;
  • "Alt+Page down" - adjust similar lines in the difference block;
  • "Ctrl+Tab" - switch between Comparison Panes;
  • "Alt+Home" - toggle the vertical and horizontal orientation of Comparison Panes;
  • "Shift+F12" - turn on the symbol-by-symbol line comparison mode;
  • "F12" - quick highlight of symbol-by-symbol line comparison;

Related Topics

Main window illustration

Command line parameters


Purpose

Are you using until now some programs as windiff or fc? Are you looking for the better files comparison program? Are you not satisfied with the existing one?

Visual Comparer - here is the answer to these and many other questions!

The main function of Visual Comparer – comparison and merge of the differences in text files. In contrast to other comparison utilities Visual Comparer has more possibilities and is very easy to use. It is easy to tune for every user. High speed of comparison, full-function text editor with support of syntax highlight make Visual Comparer one of the best means to compare and merge files.

Use Visual Comparer if you want:
 | compare your source code to an older version to see what has changed;
 | resolve differences between HTML files;
 | analyze differences in text reports or program output.

Related Topics

General features


General features

Compare two text files:
The main function of Visual Comparer is comparison of two text files. Visual Comparer is based on concept of line matching;
The full-function text editor:
One of distinctive features of Visual Comparer from other similar programs is its full-function text editor with Undo/Redo support of any nesting depth;
Fast comparison engine:
The high speed of loading and comparing of files will allow you to carry out comparison of your files by size over 2 Mbytes for few seconds;
Adjust similar lines:
1. The complete adjustment of similar lines in each difference block at start up of the program;
2. Individual adjusting of the similar lines in one difference block if some lines is not aligned correctly after comparison.
The syntax highlight engine:
Except of the possibility of file edition in process of their comparision Visual Comparer has the possibility to make color syntax highlight for different programming languages (C++, Delphi, JScript, VBScript, Perl e.t.c.);
Line matching engine:
Can you not discern the differences of two very similar lines? Visual Comparer supports comparison of any symbol in the line. That is why the difference in some symbols is good visible;
Support text files in Unicode and UTF-8 formats:
Unicode version of the program fully understands text files as Unicode, UTF-8 e.t.c;
Support various "end-of-line" file's format:
Except files of DOS, Unix and Macintosh formats Visual Comparer understands the mixed format too;
Toggle views orientation:
Support of switch to vertical and horizontal pane orientation;
Various ways of files selection for comparing:
Starting of Visual Comparer from a command line with reproduction of parameters. Possibility of files choice for comparing by starting of the program and during the process;
Full-customizable user interface:
User's interface of Visual Comparer is fully tuned. Every toolbar, menu and keyboard accelerators can be configured by any user individually.

Related Topics

Main window illustration


Main window illustration

As follows you can find the main window of Visual Сomparer with illustration of parts it consist from.


Comparison Pane

One of the main differences of Visual Сomparer from other similar programs is its full-function text editor. You can copy, delete, find and replace the text in Visual Сomparer as you did it in any other text editor.

These possibilities are realized in Comparison Panes. Each pane represents the content of one file being compared, allowing its edition and merging of different blocks with the other file.

1. Component parts of Comparison Pane
2. Editor раnеs’ dependence
3. Undo/Redo
4. Context sensitive pop-up menu
5. Manipulations with Comparison Panes

1. Component parts of Comparison Pane:

Margin Bar - area of the margin indicators that provide visual cues to certain actions during the editing or comparing of your source files. Detail information, see please here.
File information pane - area for representiong of short file information. Detail information, see please here.

Virtual lines is a special concept in Visual Comparer and means missing lines in the file given. This term appeared in accordance with comparison technology in Visual Comparer. Presence of virtual lines is not effecting the file content, it only shows lack of lines, which present on this place in the other file.
Splitter - The Comparison Panes are separated by a "splitter bar" that the user can drag to change the relative sizes of the panes.
Same lines are lines provided to be equal after comparing.
Difference lines are lines provided to be not equal after comparing.

2. Editor раnеs’ dependence.

Pane status is interdependent, some editing actions are specific. For example, if a new line is inserted to the right pane, a virtual line will be inserted automatically to the left one. By any actions and text manipulations Visual Comparer will renovate the visual panes’ state automatically.

3. Undo/Redo.

By text edition or transportation of the differences from one pane to another can be necessary to cancel some actions. Editor panes support the Undo/Redo possibilities. Undo/Redo depth is more than sufficient for majority of typical situations.

4. Context sensitive pop-up menu.

Each Comparison Pane has its pop-up menu including some often-used commands. To activate the pop-up menu simply click the right mouse key in edition area. The commands activity is depending on the area activated in Comparison Pane. For example if you click on the block of differences, in menu will be accessible merging commands.

If you frequently use commands that are not present in the popup menu you can expand or change it. Visual Comparer supports an adjustment opportunity of context-dependent menus and tool panes. How do it, see please popup menu customization.

5. Manipulations with Comparison Panes.

To make recognition of file differences more convenient and increase your productivity during comparison Visual Comparer has a set of additional actions with Comparison Panes, namely:
Toggle orientation - switching of panes’ orientation from vertical to horizontal and back;
Swap panes - exchange of panes places;
Parking of the splitter - parking of panes’ splitter cyclically on the right, on the left and in the center of the main window. This opportunity is convenient to use in situations, when line length in one or both panes exseeds the seen area. You can temporarily place the splitter in convenient position to see the whole differences;
On /off of lines numbers - the Comparison Pane supports displaying lines numbers for each file. Numbering of lines is made without taking into account virtual lines. It supported the original numbering of lines in files. For recognition convenience each 10-th line is displayed by different color.

Related Topics

Synchronize Differences

Margin Bar

File information pane

Customization


Synchronize Differences

1. "Walk through" differences
2. Adjust similar lines
3. Merging of differences
4. Save changes

1. "Walk through" differences.

For move through difference blocks in Visual Comparer you can use several ways.

First way - keyboard. In many cases this method very comfortable. With help of the keyboard you can makes all "walk", merge and synchronize actions.

For move through defferences use please next keyboard accelerators:
"Alt+Down", F8 - walk to next difference block;
"Alt+Up", F7 - walk to previous difference block;
- or -
"Ctrl+MouseWheel" - walk to next or previous difference block.

Second way - buttons on the synchronize toolbar:

Detailed description of all commands for Synchronize toolbar see, please here.

2. Adjust similar lines.

Synchronization of differences is the next step after comparing of the files. Content of the difference block from one comparison pane may be moved to other, but in some situations arrangement of the lines may be not very nice. For example, in the picture below, lines with numbers 486, 488, 489 in the left pane arranged with lines in the right pane not correctly:

Before merging differences you can do adujsting of the similar lines in both panes. Put the caret to different area (lines number 482 - 485 in the left pane on the previous picture) and press "Alt+PageDown" or invoke context popup menu at caret position and select "Adujst similar lines" menu command. After it, similar lines will be rearranged as on the next picture below:

... and the arrangement is much more better.

3. Merging of differences.

Now it's time to merge differences between files! As before, you can do merge operations with keyboard or Synchronize toolbar. Also you can invoke context popup menu and select the menu item with appropriate merge command.

For merge defferences from one pane to other, use please, next keyboard accelerators:

"Alt+Right" - move the difference block from left pane to right pane;
"Alt+Left" - move the difference block from right pane to left pane;
"Ctrl+Alt+Right" - move only one (current) line in the difference block from left pane to right pane;
"Ctrl+Alt+Left" - move only one (current) line in the difference block from right pane to left pane.

4. Save changes.

After merging of differences in the files you can save your changes. Use "Ctrl+S" for save the file in active comparison pane or [image] and [image] for save appropriate files. You can also select Save All [image], which saves both the left and right file, if you have modified them.

If you wish save the file in current active pane with a new name, press "Ctrl+Shift+S" or use File->Save As ... menu command. Dialog Save As will be appear and after save the file under new name current comparison pane will be switched to the new file.

If you try exit from Visual Comparer without saving, request dialog will be appear. In this case you have three alternatives - Save changes, Ignore without saving and Cancel exit from Visual Comparer.

Note, that after save the file(s), the Undo/Redo commands still available and you can do undo or redo of previous editing actions.

Related Topics

Toolbar - "Synchronize"

Comparison Map


Find/Replace

Find and Replace

1. Component parts of Find/Replace box
2. Regular expressions
3. Search build into toolbar

1. Component parts of Find/Replace box:

Find/Replace dialog box makes possible for you to search for and replace specified text in the current pane of Visual Comparer. Find/Replace box works in modeless mode. Therefore you can not only make find and replace but also make editing of the text during of the find and replace.

Find/Replace dialog in Visual Comparer

Search controls:
 | Find What - specifies the text string to search for;
 | Replace with - specifies the replacement text;
 | Find Next - finds the next occurrence of the string you typed in the Find what box. This button is not enabled until you type text in the Find what box;
 | Mark All (Find box only) - makes search through all text in current pane and set bookmarks on the lines in that requered find text has been found;
 | Replace - changes the selected text to the text in the Replace with box. If you want to leave the selected text unchanged and move to the next occurrence, choose the Find Next button;
 | Replace All - finds and replaces all instances of the text in the Find What box with the text in the Replace With box. You can undo the replacements by choosing the Undo command.
Search options:
 | Match whole word only - locates distinct occurrences of words, not groups of characters inside words;
 | Match Case - locates text that exactly matches the combination of uppercase and lowercase letters you type in the Find What box;
 | Regular expression - makes it possible for you to use regular expressions in your search/replace text with a special character sequence. If you select the Regular Expression check box in the Find/Replace dialog box, you can build a search or replacement string using the Regular Expressions.
 | Direction to up - current direction of the search is up;
 | Direction to down - current direction of the search is down.

2. Regular expressions:

With the advanced find and replace capabilities of the text editor, you can search for literal strings or use regular expressions to find words or characters. You can use regular expressions with both the Find and Replace commands. In the replacement string you can use tagged regular expressions. Each occurrence of a tagged expression (enclosed in brackets ( and )) is numbered according to its order in the Find What text box, and its replacement expression is \n, where 1 corresponds to the first tagged expression, 2 to the second, and so on. There may be up to nine tagged expressions. Also you can uses whole found string as one tagged expression - \0.

For example to match html tag pairs one could use something like:

"<\s*(tagname)[^>]*>(.*?)<\s*/tagname\s*>"

In this case $1 will contain the tag name and $2 - the text between the tag pairs.

The following table shows regular expressions available in Find/Replace box of Visual Comparer:

Regular expression
Description
\w | Any alphanumeric string [a–zA–Z0–9]+. The string does not need to be bounded by white space or appear at the beginning or the end of a line.
\d | Any decimal digit [0–9]+.
. (Period) Any single character.
\s | One blank symbol (tab or space).
\l | Any lower case character a-z. Other characters may also be included depending upon the locale.
\u | Any upper case character A-Z. Other characters may also be included depending upon the locale.
[ ] Any one of the characters contained in the brackets, or any of an ASCII range of characters separated by a hyphen (-). For example, b[aeiou]d matches bad, bed, bid, bod, and bud, and r[eo]+d matches red, rod, reed, and rood, but not reod or roed. x[0-9] matches x0, x1, x2, and so on. If the first character in the brackets is a caret (^), then the regular expression matches any characters except those in the brackets.
[^] Any character except those following the caret (^) in the brackets, or any of an ASCII range of characters separated by a hyphen (-). For example, x[^0-9] matches xa, xb, xc, and so on, but not x0, x1, x2.
^ The beginning of a line.
$ The end of a line.
* None or more of the preceding characters or expressions. For example, ba*c matches bc, bac, baac, baaac.
+ At least one or more of the preceding characters or expressions. For example, ba+c matches bac, baac, baaac, but not bc.
{N}
{N,M} 		When it is necessary to specify the minimum and maximum number of repeats explicitly, the bounds operator "{}" may be used, thus "a{2}" is the letter "a" repeated exactly twice, "a{2,4}" represents the letter "a" repeated between 2 and 4 times, and "a{2,}" represents the letter "a" repeated at least twice with no upper limit.

3. Search build into toolbar:

Visual Comparer have light-weight search combobox that build into the main toolbar:

For search with help of this combobox, simply activate it (Alt+A keyboard combination), type search text into the edit field and press F3 or Enter. Also, you can toggle between normal and regular expression types of searches using toolbar button [image]. If you wish invoke Find/Replace dialog box itself, press Ctrl+F or toolbar button [image].


File information panes

The pane displaying main file information:

It consists of:

Date and time of last file updating;
The code page used for file displaying in the editing;
The file size.


Margin Bar of the Comparison Panes

Margin Bar

Each Comparison Pane contains margin indicators that provide visual cues to certain actions during the editing of your code. The margin indicators appear in the Margin Bar on left side of the pane:

Bookmark - A marker used to locate lines in a source file. Visual Comparer allows establishing bookmark on every line in the Comparison Pane. It allows speeding up navigation on a file in case of its large size. How to set up, remove and move on bookmarks, see please menu Edit.

Edited line - A marker used to indicate that this line has been edited during of comparison of the files.

Virtual line - A marker used to indicate that this line is virtual line.

Related Topics

Comparison Panes

Menu Edit


Comparison Map

Comparison Map and quick navigation.

The scrollbar of Comparison Map which is synchronized with a text editor's scrollbar. For convenient moving and full scope of file differences Comparison Map is intended. It consists from area of differences and scrollbar. Using Comparison Map, you can move quickly through the differences. You can do it both with help of scrollbar and direct cursor positioning. Simply click on required difference area to see necessary difference block.

The scrollbar height of Comparison Map is proportional to the size of a seen part of edited area in Comparison Panes. For convenient use Comparison Map can be placed both at the left and on the right to main window. If you are going to use Comparison Map as alternative to vertical scrollbars of Comparison Panes, you can turn them off. In this case you may need the opportunity of increase the scrollbar width at Comparison Map. All these opportunities are accessible in menu View.

The scrollbar of "Comparison Map" it is synchronized with vertical scrollbars of Comparison Panes. If you scroll "Comparison Map" or one of Comparison Panes they will be scrolled Panes synchronously.

Related Topics

Menu View

Comparison Panes


Syntax highlight parsers

The majority of modern texts editing tools possess an opportunity of syntax highlight of various programming languages. Visual Comparer is not exception. Its distinctive feature is strict and exact syntax highlight of lexical and syntactic terms.

Syntax highlight in Visual Comparer is not only decorative function, it is an opportunity to speed up and simplify process of comparison. If you use daily the programs having similar function and are compelled to compare various versions of your source codes you will find use of syntax highlight in Visual Comparer very convenient. We think it enables carrying out the analysis of the compared text more quickly. First of all it is actual for initial texts in various programming languages. Syntax highlight of language terms accelerates and makes easy their visual detection. You can concentrate the attention to text logic instead of wasting time to search it.

Since 1.0 version, support of syntax highlight in Visual Comparer is realized as external, dynamically loaded modules(Plug-in). It enables us to expand constantly the list supported by Visual Comparer modules of syntax highlight. The list of all accessible modules of syntax highlight you can find on a site of the program:

http://www.visual-comparer.com/parsers.htm.

Related Topics

Parsers

Filters


Multilanguage support

Since version 1.10 Visual Comparer is multilanguage program. The list of all accessible multilanguage libraries you can find on a site of the program. If don't found your native language library then you have chance get free registration! Send your request about the translation to the our e-mail address: support@visual-comparer.com


Command line parameters

Begin at version 1.20 command line parameters of Visual Comparer has been extended. General format for command line is next:

VisCmp <first_file_name> [file_parameters] <second_file_name> [file_parameters] [common_parameters]

<first_file_name> and <second_file_name>:
When Visual Comparer started from command line it will be compare files immediately only if both files (first and second) has been indicated in command line. If names of files is not indicated, the behaviour of Visual Comparer depends on Don't ask file name at start up parameter in General property page of "Settings" dialog box. If one of the two file names actually is folder then Visual Comparer will be find in this folder the file with name of second file and try to compare it.
File parameters (optional):
/line:#### - go to specified line number in the file;
Common parameters (optional):
 | /ic - ignore case sensitive for upper and lower characters during comparison of lines;
 | /is - ignore all space characters at comparison of lines;
 | /il - ignore leading spaces in lines (active only if "ignore all spaces" parameter is turn off);
 | /ia - ignore difference in amount of spaces and compare it as one space character (active only if "ignore all spaces" parameter is turn off);
 | /aa - auto adjustment of similar lines at startup;

Examples:

VisCmp g:/projects/myprj/test.txt g:/old_projects/myprj/test.txt
- simply compare two files with default settings;

VisCmp g:/projects/myprj/test.txt /line:56 g:/old_projects/myprj/test.txt /ic /il:false /ia
- compare two files immediately without case sensitive and differences in amount in spaces but with comparison of leading spaces. After comparison caret will be moved to line number 56 in the first file;

VisCmp g:/projects /line:56 g:/old_projects/myprj/test.txt /ic /il:false /ia:true
- equal as previous example but first file name will be resolved to g:/projects/myprj/test.txt file name (result of search in projects folder) and amount in spaces will be ignored if this option turned off in Comparison property page of Visual Comparer.


Settings

In this section you find description on adjustment and management of Visual Comparer. All configuration parameters are divided into sections. Each section is presented in form of property page in Settings dialog box (see menu Tools):

General - general parameters;
Editors - editor's settings;
Comparison - comparison settings;
Parsers - setting of syntax hghlight parsers;
Filters - assign of associations between file extensions and parsers.

Related Topics

Customization


"General" settings

Don't ask file name at start up - if this parameter is established, at start of the program Visual Comparer will not request serially names of files for comparison;
Create backup file - if this parameter is established, at file saving after editing there accures automatic creation of backup copy with extension *.bak. The backup copy is created in the same catalogue where original;
Notify about external modifications of the opened files - if during work process any file is being updating from outside, Visual Comparer will warn you about attempt of change and will suggest to carry out comparison once again, taking in account changes accured. This function is useful by work with files in local networks;
Show placebar into the open file dialog - the placebar provides shortcuts to places on your computer or the network from which you can open a file, such as the History folder, the desktop, or My Network Places. When you click a location, it will appear in Look in, and the files and folders in the selected location will be listed at the right. The option accessible only in Windows 2000 or Windows XP.


"Editor" settings

General Font:
Select from - use True Type or Raster check box for filtering font names that appears in the list of available fonts below;
Font name - Lists the available fonts. Type the font name in the box or select it from the drop-down list;
Size - Lists the available font sizes. Type the font size in the box or select it from the drop-down list;
Alternative Font:
Using of all controls are same as in General font.
You can use the Alternative font as an additional font to the General font. At comparison of files sometimes there is a necessity to display the text with other font. For this purpose you can establish other font as Alternative and if necessary, quickly to be switched to it. Use the short key "F11" or menu "View->Toggle Fonts" for it.
Tabulation:
Tab size - value to specify the number of space characters that equal one tab character. The default is four space character;
Insert spaces - converts tabs to the number of spaces specified in the Tab Size box during editing;
Keep tabs - saves tabs as tab characters when you edit file;

Other:
Turn off vertical scrollbar(s) when Comparison Map docked to right side - if you use frequently Comparison Bar to scroll text, you can find this parameter very useful. If Comparison Bar is on the right, vertical scrollbars of the text editor will be switched off automatically.
Bring the input focus to inactive pane by "Home" and "End" keys - Visual Comparer will be switch input focus between comparison panes when your caret position located at first/end of line;


"Comparison" settings

Visual Comparer uses the following parameters to compare files and lines:

General:
auto adjustment of similar lines - total adjustment of similar lines in every difference blocks at start up or after recomparing of current files (note: accessible only in registered version!);
Ignore:
case sensitive - ignore case sensitive for upper and lower characters;
all spaces - ignore all space characters at comparison of lines. Space as symbols are considered white-space character in range: 0x09 - 0x0D or 0x20 (space);
  • leading spaces - ignore leading spaces in lines (active only if "all spaces" flag is turn off);
  • changes in amount of spaces - ignore difference in amount of spaces and compare it as one space character (active only if "ignore all spaces" flag is turn off);
Line matching:
Show differences when "F12" key is pressed - activate of symbol-by-symbol line comparison mode. If lines are not equal, Visual Comparer makes symbol-by-symbol comparison. Different symbols are displayed by default red and identical - black;
  • Show &whitespaces also - to show at line-by-line comparison blanks and tabulation symbols;
Note: You can fix up "show differences" mode. Simply press "Shift+F12".


"Merging" settings

Merge:
Go to first difference block after comparison - turn on/off of a mode of automatic transition to first difference block after comparison;
Go to next difference block after merge action - turn on/off of a mode of automatic transition to the following block of differences after synchronization of previous;
Wrap navigation by difference blocks - turn on/off of mode when Visual Comparer will be bring focus to first/last difference block during reaching end/begin of file;
Interpret compalex difference block as one - turn on/off of a mode when syde by side difference blocks with any kind of background color interpret as one in merge or navigation actions;
Prevent EOL changing - do merging of differences with preventing of original EOL in lines. Useful for text files that have mixed EOL formats or for files from different operation systems (DOS and Unix for example);


"Parsers" settings

For highlight of lexical terms in various programming languages Visual Comparer use such concept as Parser. Since version 1.0 lexical parsers are realized as external plug-in modules. Each module can contain a collection of parsers and is submitted as a file with extension prs. Plug-in modules are placed in the disk catalog /parsers.

- General Colors -

For convenient recognition of differences in Visual Comparer each difference block is allocated with the certain color depending on type. You can adjust color of a background of each difference block as you wish. All adjusted colors used for each parser individually. By change of colors for difference blocks we recommend to load any files for comparison. With color options you can observe all manipulations at once in Comparison Panes. It enables to choose desirable colors for difference blocks.

- Tokens Colors -

Each parser represents a collection of tokens and each token in the "Tokens Colors" group determines some lexical term and has visual styles - color, bold, italic and underline. You can change visual styles of any token. For this purpose you need to choose a parser from the list of parsers available, specify a required token and then specify desirable color using the combobox of color or select appropriate visual style.

For restoration of visual styles in each group as before use Default and Default All buttons. First of them restores properties by default for current token in the list of tokens, and the second - restores properties of all tokens for current parser in the parsers list.

Note: Plug-in modules from UNICODE and ANSI versions of Visual Comparer do not match each other! Be attentive at installation of new modules.

Related Topics

Filters

Download new parsers


"Filters" settings

Visual Comparer allows you to specify what syntax highlight parser has to be used for one or another file depending on its extension. For convenience extension of files are united in groups. Visual Comparer considers them as Filters. Every filter has the name and associated with it syntax highlight parser. You can edit, delete and create new filters.

Let's describe each step in details:

To create new - press on the button of new filter creation. In the list of existing filters new record with a name "New filter" will appear. Change a name of the filter as required. In section Description into an input field of Wild cards enter through a semicolon the necessary extension of files in the form - *.ext where ext is an extension of a file. For example for filter Visual Basis the list of extension can look like so - *.bas; *.vb. From Parser list choose corresponding entered extension syntax highlight parser.

To remove existing - for removal of the filter from the list allocate the necessary filter and simply press on removal button. If you want to block the filter temporarily without deleting it, simply choose a pseudoparser with a name <none> in Parser list.

To change the sequence order - the filters sequence order in the list is important, as it is used in file choice (menu File->Compare files). If you compare files of one group frequently, you can place the required filter at the beginning in filters list. After that file choice dialog box will automatically at start offer you to choose the files on a mask from this filter.

To edit existing - you can always change options of any filter. To change a name of the filter click twice on the filter name in the filters list. By editing a name it is not necessary to enter file extension. Extension of files are entered in Wild cards field. Display of file extension for each filter is made for convenient using of filters options dialog box.

Related Topics

Parsers

Menu File


Menu bar

Except of standard functional purpose, Menubar possesses all possibilities as toolbars in Visual Comparer. You can customize the menu as any other toolbar, create additional submenu and place in them additional commands from existing list.

If you use a lot of commands and place them as buttons on toolbars you can save a little place. Menubar (as well as toolbars) allows placing command buttons at the uppermost level (to the right of menu point - Help). It enables to use usually empty place in standard menus more productively. In Visual Comparer such arrangement of command buttons is used by default after installation.

In the following sections all submenus are described:
File
Edit
View
Tools

Related Topics

Customization


Menu - "FILE"

Icon | Menu item | Hot key
 | Compare files... - Invoke open file dialogs for comparison of the next pair of files. | Ctrl+O
 | Save - Use this command to save the active file without prompt dialog. | Ctrl+S
 | Save As - Use this command to save the active file with a new file name (prompt dialog will be appear). |
 | Save first file - Use this command to save the first file without prompt dialog. |
 | Save second file - Use this command to save the second file without prompt dialog. |
 | Save all files - Save both first and second opened files without prompt dialog. |
 | Replace right file - to replace all differences from left pane to right (without exit from application). |
 | Replace left file - to replace all differences from right pane to left (without exit from application). |
 | Report ... - invoke "Report Generator" dialog for select report generation options and generation of the report in HTML format. | Ctrl+R
 | Exit - exit from Visual Comparer. If any files were changed and not saved, Visual Comparer would suggest you to save changes. | ESC

Related Topics

Customization


Menu - "EDIT"

Icon | Menu item | Hot key
 | Undo - Use this command to reverse the last editing action, if possible. The name of the command changes, depending on what the last action was. This command is unavailable if there is no editing action done. | Alt+Backspace
 | Redo - Use this command to reverse the last undo action, if possible. The name of the command changes, depending on what the last undo action was. This command is unavailable if there is no undo action done. | Ctrl+A
 | Cut* - Use this command to remove currently selected text from the document and put it on the clipboard. This command is unavailable if there is no text currently selected. Cutting text to the clipboard replaces the contents previously stored there. | Ctrl+X
 | Copy - Use this command to copy selected text onto the clipboard. This command is unavailable if there is no text currently selected. Copying text to the clipboard replaces the contents previously stored there. | Ctrl+C
 | Copy as HTML - copying of the allocated text in HTML Clipboard format into exchange buffer. Allows saving both the text and its syntax highlight marking. For example, you can use this command for the subsequent accommodation of allocated text in Word text editor. | Ctrl+Alt+H
 | Copy as HTML text - the same as previous command, but usual plain text is located into exchange buffer, this text is HTML code of syntactic marking of allocated text block. It is convenient to use at publication of initial code parts or Web text. Placed into exchange buffer text is HTML document with standard heading, styles and the body tags. | Ctrl+Alt+C
 | Paste* - Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty. | Ctrl+V
 | Find ... - Use this command invoke dialog for search specific text in current Comparison Pane. | Alt+F3
 | Replace - Use this command invoke dialog for search and replace specific text in current Comparison Pane. | Ctrl+H
 | Toggle bookmark - Set / remove of bookmark point. Allows simplifying text navigation, establishing bookmark in the most important sense places. | Ctrl+F2
 | Next bookmark - transition on following bookmark in the list of existing. | F2
 | Previous bookmark - transition on previous bookmark in the list of existing. | Shift+F2
 | Clear all bookmarks - to remove all established bookmark. | Ctrl+Shift+F2
 | Strip trailing blanks - removal of blanks and tabulation symbols at the end of a line through the whole text in the current Comparison Pane. | Ctrl+Shift+S

*Note: Because of constantly support of synchronous condition of Comparison Panes, the behavior of some commands differs from the standard. For example if we delete a multiline text block using Cut and Delete commands it is replaced with equivalent quantity of virtual lines. Paste command except inserting of the text into current Comparison Pane also adds in opposite one the required quantity of virtual lines.

Related Topics

Component parts of Comparison Pane

Editor раnеs’ dependence

Customization


Menu - "VIEW"

Icon | Menu item | Hot key
 | Line numbers - turn on/off lines numbering in Comparison Panes. | Ctrl+N
 | Whitespaces - turn on/off show of tabs and spaces in Comparison Panes. | Ctrl+T
 | EOL markers - view on/off EOL markers at the end of lines. | Ctrl+E
 | Swap Panes - exchange places of Comparison Panes. | Ctrl+U
 | Toggle Horizontal - switching of pane’s orientation from vertical to horizontal and back. | Alt+Home
 | Full Screen - turn on/off full screen mode; | F9
 | Toggle Fonts - toggle the general font to alternative and vice versa; | F11
 | Comparison Bar - displays off/on the Comparison Bar; |
 | Show - displays off/on the Comparison Map; |
 | To Right - to place the Comparison Map from the right side of the main window; |
 | To Left - to place the Comparison Map from the left side of the main window; |
 | Thin thumb - increase/reduction of scrollbar width at Comparison Map; | Alt+NumPlus
 | Information Bar - displays off/on the Information bars for the Comparison Panes; | Ctrl+I
 | Keyboard Map ... - displays Keyboard Map dialog with all keyboard shortcut keys which used and actives in Visual Comparer; |
 | Status bar - displays on/off status bar of the main window. |

Related Topics

Customization


Menu - "Tools"

Icon | Menu item | Hot key
 | Settings ... - displays dialog of Visual Comparer settings; |
 | Customize ... - displays Customization dialog; |

Note : the first points of this menu will be fetching commands for external programs which are optioned in Customize dialog box, section Tools.

Related Topics

Customization

Tools


Toolbar - "Standard"

Short overview of the Standard toolbar.

Icon | Description | Hot key
 | Save first file - Use this command to save the first file without prompt dialog. |
 | Save all files - Save both first and second opened files without prompt dialog. |
 | Save second file - Use this command to save the second file without prompt dialog. |
 | Toggle Horizontal - Switching of pane’s orientation from vertical to horizontal and back. | Alt+Home
 | Parking of the splitter - parking of pane’s splitter cyclically on the right, on the left and in the center of the main window. | Alt+End
 | Swap Panes - places exchange Comparison Panes. | Ctrl+U
 | Comparison Bar - turn off/on. |
 | Comparison Map - turn off/on. |
 | About dialog - show About dialog with information about number of the version, copyright and registration status. |
 | Context Help - Activate Context sensitive Help mode. After activation You can select some element of the user interface (menu item or toolbar button) and take help for it (if the help topic exist for this item). | Shift+F1

Related Topics

Customization


Toolbar - "Synchronize"

Short overview of the Synchronize toolbar.

Icon | Description | Hot key
 | Next difference - go to next difference block at cursor position. | Alt+Down
 | Pervious difference - go to previous difference block at cursor position. | Alt+Up
 | Replace right file - to replace all differences from left pane to right. |
 | Difference to RIGHT - to replace the right block of differences in a position of the cursor with the left block of differences. | Alt+Right
 | Line to RIGHT - to replace one line from the right block of differences in a position of the cursor with the one line of the left block of differences. | Ctrl+Alt+Right
 | Next difference block - turn on/off of a mode of automatic transition to the following block of differences after synchronization of previous. |
 | Line to LEFT - - to replace one line from the left block of differences in a position of the cursor with the one line of the right block of differences. | Ctrl+Alt+Left
 | Difference to LEFT - to replace the left block of differences in a position of the cursor with the right block of differences. | Alt+Left
 | Replace left file - to replace all differences from right pane to left. |
 | Next edited block - go to next edited block at cursor position. | Ctrl+Alt+Down
 | Pervious edited block - go to previous edited block at cursor position. | Ctrl+Alt+Up
 | Adjust similar lines - adjust similar lines in the current difference block. |
 | Shift the line to down - move down the line in the difference block. | Ctrl+Page Down
 | Shift the line to up - move up the line in the difference block. | Ctrl+Page Up

Related Topics

Customization


Comparison bar

Short overview of the Comparison bar.

Icon | Description | Hot key
 | Select first file - file choice combobox from the list before used for the first pane. | Alt+1
 | Copy left path to right - copy left file path to the right file choice combobox. |
 | Browse first file - invoke the standard file open dialog box for the first pane. | Ctrl+1
 | Compare files - to compare chosen in comboboxes files or select files from recent list. | Alt+Enter
 | Browse second file - invoke the standard file open dialog box for the first pane. | Ctrl+2
 | Swap paths between panes - swap file paths between file choice comboboxes. |
 | Select second file - file choice combobox from the list before used for the second pane. | Alt+2

Related Topics

Customization


Toolbar - "Editor"

Short overview of the Editor toolbar.

Icon | Description | Hot key
 | Cut* - Use this command to remove currently selected text from the document and put it on the clipboard. This command is unavailable if there is no text currently selected. Cutting text to the clipboard replaces the contents previously stored there. | Ctrl+X, Shift+Delete
 | Copy - Use this command to copy selected text onto the clipboard. This command is unavailable if there is no text currently selected. Copying text to the clipboard replaces the contents previously stored there. | Ctrl+C
 | Copy as HTML - Copying of the allocated text in HTML Clipboard format into exchange buffer. Allows saving besides the text its syntax highlight marking. For example, you can use this command for the subsequent accommodation of allocated text in such text editors as Word. | Ctrl+Alt+H
 | Copy as HTML text - The same as the previous command, but into exchange buffer is located a usual plain text which represents HTML code of syntactic marking of allocated text block. It is convenient to use at publication of initial code parts or Web text. Placed into exchange buffer text is HTML document with standard heading, styles and body tags. | Ctrl+Alt+C
 | Paste* - Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty. | Ctrl+V
 | Undo - Use this command to reverse the last editing action, if possible. The name of the command changes, depending on what the last action was. This command is unavailable if there is no editing action done. | Alt+Backspace
 | Redo - Use this command to reverse the last undo action, if possible. The name of the command changes, depending on what the last undo action was. This command is unavailable if there is no undo action done. | Ctrl+A
 | Toggle bookmark - Set/remove of bookmark point. Allows simplifying navigation through the text, establishing bookmark in the most important sense places. | Ctrl+F2
 | Next bookmark - transition on following bookmark in the list of existing. | F2
 | Previous bookmark - transition on previous bookmark in the list of existing. | Shift+F2
 | Clear all bookmarks - to remove all established bookmarks. | Ctrl+Shift+F2
 | Change font - command of a font choice which is used in Comparison Panes to display the text. |
 | Show line numbers - turn on/off lines numbering of lines in Comparison Panes. | Ctrl+N
 | On/Off syntax highlight -turn on/off syntactic highlight in Comparison Panes. | Ctrl+S
 | EOL markers -show/hide end of line markers. | Ctrl+E
 | Strip trailing blanks - removal of blanks and tabulation symbols at the end of a line through the whole text in the current Comparison Pane. |

*Note: Because of constantly support of synchronous condition of Comparison Panes, the behavior of some commands differs from the standard. For example if we delete a multiline text block using Cut and Delete commands it is replaced with equivalent quantity of virtual lines. Paste command except inserting of the text into current Comparison Pane also adds in opposite one the required quantity of virtual lines.

Related Topics

Components of Comparison Pane (Virtual lines)

Editor раnеs’ dependence

Customization


Toolbar - "Find"

It is intended for quick text search in the current Editing Pane.

Icon | Description | Hot key
 | Find Combobox - combobox to input text or to choose entered one. It contains16 latest entered search phrases. | Alt+A
 | Find - search of the text indicated in Find Combobox, in the current Comparison Pane. | F3
 | Find/Replace - The search and text replacement dialog box for current Comparison Pane. | Ctrl+F, Ctrl+H, Alt+F3
 | Regular Expression mode - toggle on/off regular expression mode in Find/Replace engine. |

Related Topics

Customization


Customization

Visual Comparer has fully customizable interface. It enables you to adjust the program management so that its using will be as convenient as possible.

There is some adjustment groups in Visual Comparer:
 | Commands - action or program function be represented in user's interface as a command. Each command can have an associated graphic representation (icon) and/or keyboard shortcuts combination. This group makes possible to have simple access to all commands in the program;
 | Toolbars - management of tool panes. Here you can adjust any tool pane in the program (to create a new one, to add in the pane or to remove from it the required command);
 | Tools - an opportunity to connect to Visual Comparer external utilities and their calling with transfer there some parameters from Visual Comparer;
 | Keyboard - shortcuts management group. Here you can appoint for frequently used command hot keys, to change already existing or to remove unnecessary ones;
 | Menus - adjustment and configuration of pop-up menus. You can adjust pop-up menus for Comparison Panes as well as usual menu and tool panes;
 | Options - group of options on functional behavior of the menu and tool panes.


Property page - "Commands"

List box Categories - list the default menus with toolbar buttons, commands, and menus that you can add to a toolbar or menu. When you select an item in the category, toolbat buttons, commands, or menus appears in the box on right.

List box Commands - after the category has been selected, available items into this list box can be dragged onto a toolbar, menu or submenu.

Description - short description of the selected command.

In customize mode popup menu with properties and special commands available for the button or menu item. Simply right click on the needed menu item or toolbar button. Available menu items is:

Reset to default - resets the selected item its original settings;

Copy Button Image - copy button image on to clipboard. You can use copied image in the button image editor (see Button Appearance dialog);

Delete - delete selected button or menu item from the toolbar or menu;

Button Appearance... - invoke the dialog for edit the button settings and properties;

Image - display image only for the command;

Image - display text only for the command;

Image and Text - display both image and text for the command;

Start Group - the button or menu item is first item in the group. Into the menu before this button will be placed menu separator, and into the toolbar, vertical line separator.


Property page - "Toolbars"

List box Toolbars - list both standard and custom toolbars. When some toolbar in the list is selected, the toolbar is displayed. Otherwise, the toolbar is hidden. The menu bar also can be hidden.

Manipulation buttons:
 | Reset - resets the selected default toolbar to its original settings;
 | Reset All - reset all default toolbars to the original settings;
 | New... - enables you to create new custom toolbar;
 | Rename... - rename the selected custom toolbar;
 | Delete - delete the selected toolbar. Enable only for custom toolbars.

Check box Show text labels - when selected, displays the text labels for buttons of the selected toolbar.


Property page - "Tools"

Menu contents - Lists commands you have added to the Tools menu. To add a command, click the New button New tool above the Menu Contents list, type the text for the menu item in the box at the end of the Menu Contents list, and provide the necessary information in the boxes below. Placing an ampersand (&) before a letter in the menu item text makes the letter an accelerator key. To modify a command, select it in the Menu Contents list and change the information specified in the boxes below. To delete a command, select it and click the Delete button Delete tool above the Menu Contents list. To move a command up or down on the Tools menu, select the command in the Menu Contents list and click one of the arrows above the list Move selected tool.

Command - Displays the path and filename of the tool currently selected in the Menu Contents list. Use Browse and select a file button for open a dialog box where you can browse and select a file.

Arguments - Specifies additional arguments for the tool each time you start it. For example, you can use $(Active file) to specify the file name of the file which associated in active Comparison Pane. You can also specify additional arguments for each particular instance of the tool. Use Browse argument macros button for displays a list of the argument macros you can include. For example, if you click Text Under Cursor in the list, $(Text under cursor) is inserted in the Arguments box at the cursor position. There are next argument macros:
$(FirstFilePath) - The complete filename of first file (defined as drive+path+filename+fileext);
$(FirstFileDir) - The directory of first file (defined as drive+path);
$(FirstFileName) - The filename of first file (defined as filename);
$(FirstFileExt) - The filename extension of first file (".txt" for example);
$(SecondFilePath) - The complete filename of second file (defined as drive+path+filename+fileext);
$(SecondFileDir) - The directory of second file (defined as drive+path);
$(SecondFileName) - The filename of second file (defined as filename);
$(SecondFileExt) - The filename extension of second file (".txt" for example);
$(ActiveFilePath) - The complete filename of the active file (file, the comparison pane of which has input focus);
$(InactiveFilePath) - - The complete filename of the inactive file (file, the comparison pane of which has not input focus);
$(TextUnderCursor) - text block under cursor. If text under cursor not exist then this have empty value;
$(RowAtCursor) - the row number of cursor position;
$(ColumnAtCursor) - the column number of cursor position.

Initial directory - Specifies the working directory of the tool.

All created tools entities will be appear onto menu Tools.

Related Topics

Menu Tools


Property page - "Keyboard"

Category - lists the menus containing the items to which you can assign a shortcut key. The commands for the selected menu appear in the Commands box below;

Commands - lists commands on the menu selected in the Categories box. Select the command you want to assign to a shortcut key;

Description - displays a brief description of the selected command;

Editor - specifies the editor or view to which you want to assign shortcut keys. Current available value is Default (commands applied for main window, all Comparison Panes and files);

Current keys - displays the shortcut key combinations currently assigned to the command selected in the Commands box;

Press New Shortcut Key - provides a space for you to type a new shortcut key combination. To test a new shortcut key combination for the command selected in the Commands box, press the keys you want to assign. If the key combination is currently assigned to another command, the command is displayed in the Assigned To box. To assign the new shortcut key combination, click Assign button;

Assign - assigns the shortcut key combination displayed in the Press New Shortcut Key box to the command selected in the Commands box;

Remove - removes the shortcut key combination that is selected in the Current Keys box;

Reset All - restores all the shortcut key combinations to their default setting.


Property page - "Popup menus"

Application Frame Menus - there are one main menu in Visual Comparer. Use Reset button if you want reset main menu to default state;

Menu animations - collection of the menu animations. Available animation - None, Unfold, Slide and Fade;

Menu shadow - show or hide shadow under popup menus;

Context Menus - Visual Comparer have three context popup menus. First popup menu is System popup menu. Appear when you click on the file icon in Comparison Pane. Second and third is menus for Comparison Panes - Left popup menu and Right popup menu respectively.

For customization of the popup menus, first, select from the Select context menu combobox the popup menu for customization. The customization menu window with content of the popup menu will be appear. Second, go to the Commands property page and drag the toolbar buttons into the customization menu window. Its all.

If you wish reset the popup menu to default state, use Reset button below the Select context menu combobox.


Property page - "Options"

Show ScreenTips on toolbar - if this parameter is established, Visual Comparer will show short tooltips for interface elements (tool panes buttons) with brief information about the command;
Show shortcut keys in ScreenTips - if the previous mode is switched on, in tooltips shortcuts keys are shown if appointed;
Large Icons - to show large icons in tool panes.


In the next versions

Reports in Unix normal and unified formats;
new parsers.
For latest news, visit www.visual-comparer.com


Warranty and License

About Shareware:

Shareware is a distribution method, not a type of software. Shareware distribution gives users a chance to try software before buying it so the user knows exactly what he buys and takes no risk. If you try a Shareware program and continue using it, you are required to register it.

License for use and distribution:

  1. All copyrights to Visual Comparer are exclusively owned by the author - Nikeware.

  2. Anyone may use this software during a test period of 30 days. After the 30 day test period you must either delete the shareware version of our software from your computer, or purchase the registered version to obtain a full license.

  3. The Visual Comparer trial version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of Visual Comparer without written permission from the copyright holder.

  4. Visual Comparer IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

  5. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license. All rights not expressly granted here are reserved by Nikeware.

  6. Installing and using Visual Comparer signifies acceptance of these terms and conditions of the license.

  7. If you do not agree with the terms of this license you must remove Visual Comparer files from your storage devices and cease to use the product.

Some limitations in trial version:

  • You can't invoke "Parking splitter" command;
  • You can't set normal width of scrollbar in the comparison map;
  • You can't centre splitter bar by double mouse click on him;
  • splitter bar is not centered automatically after start of the application;
  • (full list see please here).

Note: We don't think similar restrictions touching functionality of the application.

New versions:

Periodically, we will release new versions of Visual Comparer and updated documentation. If you have already license for Visual Comparer, you may download new versions of the program without further charge for minor versions. Please, visit www.visual-comparer.com to see latest news about Visual Comparer.

Thank you for using the Visual Comparer.


How to register

Registration fee for Visual Comparer personal license cost $29.

With registration on Visual Comparer you receive also:

  • upgrates of the program without further charge for minor versions;
  • free lifetime e-mail technical support.

For detailed information about registration, ordering information and discounts for multiple licenses packages, please visit registration page on our site.


Technical support

We will gladly provide support for technical questions. Before contacting us, please make sure you have read the end of Visual Comparer help documentation. For practical and financial reasons, we cannot provide phone technical support. You may, however report any problem by email. We will usually follow up within 24 hours (we try to reply as fast as possible) by email. You can also contact us by email. Please try to be as specific as possible, in order to get appropriate help. Remind us about the version number of Visual Comparer you are using and the exact nature of the problem. Depending on the complexity of the question, you will receive a reply, usually within 48 hours.

Reported technical bugs will be fixed as rapidly as possible. However, given the necessity for tests and verifications, it is impossible to give standard time limit. When completed, notification about Visual Comparer updates will be sent to the customer who has reported the bug by email.

Registered users: We guarantee that we will respond to the best of our ability, and as promptly as is reasonably possible, to all reasonable queries from registered users.

Unregistered users: We guarantee that we will also respond to your queries, but we will naturally give priority to registered users.

All your ideas and suggestions, as far as errors remarked in "Visual Comparer"
we shall be glad to see in our e-mail box at the address:
support@visual-comparer.com

Home page: www.visual-comparer.com

"Happy comparing!" - Your Nikeware team.


"About" dialog

Visual Comparer (tm), Copyright (c) 2003 - 2006, Nikeware. All right reserved.


Review of previous versions

Visual Comparer 1.50 (build 0385)
 | you can shift lines between empty(virtual) lines inside of difference block ("Ctrl+Enter" or "Shift+Enter");
 | The partial merging between diff symbols in the line. If you wish merge the part of the difference in some line, select these symbols and press "Alt+Left" or "Alt+Right";
 | support Advanced Data Streams. Now we can compare, edit and save existing ADS in some file directly in Visual Comparer;
 | new comparison flag: "ignore EOL differences" in lines. You can turn off this parameter if you wish see differences in files with mixed EOLs in lines (See menu Tools->Setting->Comparison);
 | view on/off EOL markers toggle at the end of lines added (See menu View->EOL markers);
 | prevent EOL changing flag added (See menu Tools->Settings->Merging). Now you can merge differences with preventing of original EOL in lines;
Visual Comparer 1.40 (build 0375)
 | the complete adjustment of similar lines in each difference block at start up of program or after the repeated comparison of active files (only registered version);
 | "Tips of the Day" implemented. Use "Alt+F1" for invoke;
 | file names in the title of main window for easy navigation between many instances of Visual Comparer;
 | new look and extended functionality for "Parsers" property page in the "Settings" dialog box. Now you can set up colors for difference blocks individually for each parser;
 | few additional options in "Settings->Editors" property page;
 | some notification messages has transformed to the popup tooltips;
 | "Ctrl+D" - shortkey for invoke of recent files list;
Visual Comparer 1.30 (build 0363)
 | the "Adjust similar lines" command for the difference blocks (see Synchronize Differences);
 | the "Full Screen mode" command (F9);
 | tagged expressions in replacement string added (see Find/Replace dialog box );
 | recent list for last 10th pair of compared files (see "Compare" button on Comparison Bar);
 | percent of similarity for current lines in the status bar;
 | two new arguments for the user-defined tools and applications: $(Row at cursor) and $(Column at cursor);
 | show the topmost line number for each text editor in the information pane during scrolling with scrollbars or Comparison Bar when "Line numbers" mode is off;
 | cyclic switch of active view by "Home" and "End" key combinations;
 | "read only" indicator in the caption of comparison pane;
 | preserve cursor position after the "Compare Files" button was pressed repeatedly for current files;
Visual Comparer 1.20
 | support fonts with variable-width characters in editor;
 | bold, italic and underline properties for syntax highlight available now;
 | new command line parameters;
 | Shift+MouseWheel keyboard accelerator for scrolling of the text horizontally added;
 | Ctrl+MouseWheel keyboard accelerator for going through the next/prev differences added;
Visual Comparer 1.10
 | multilanguage interface;
 | modeless find/replace dialog with regular expressions support;
 | Online Help for Visual Comparer available;
 | if Visual Comparer show some lines as equal, but these lines really different (for instance, "ignore all spaces" comparison flag turn on), you can synchronize however these lines with Different to LEFT/RIGHT and Line to LEFT/RIGHT commands;
Visual Comparer 1.01
Save and Save As commands for active file added.
Visual Comparer 1.0
 | Context sensitive Help.
 | Syntax highlight parsers implemented as external plugin modules.
 | New syntax highlight parsers:
 | - VBScript;
 | - Visual Basic .NET;
 | - Borland Delphi 7 (Object Pascal).
 | Reset colors in the syntax highlight parser to default values.
 | Switching between thin and standard width of the thumb in scrollbar of the Comparison Map.
 | Navigation Bar in HTML Report added.

Visual Comparer - version 0.95 (build 0269, beta).

Added features:
 | File information panes.
 | Report Generator.
 | Support Windows XP style interface in dialogs and controls (Windows XP only).
 | Support files with variable EOL (end of line) format.
 | Notify about external modification of the opened files (optional, see General property page).
 | drag file(s) from your favorite file browser (Windows Explorer and e.t.c.) and drop it to the Comparison Toolbar comboboxes or directly to comparison panes.
 | Don't ask file names at start up (optional, see General property page).
 | New commands "Replace RIGHT/LEFT file" added. You can now replace all differences from one file to other with one click!
 | Show/hide of "Line numbers" and turn off/on of the syntax highlight in panes now synchronized.
 | Fix up comparison line mode by "Shift+F12".
 | "Parking splitter" now not overlap caption and information pane in horizontal mode.
 | Interactive selection of files at start up now becomes active after the main window is loaded.
 | The caret in the editor has other view in overwrite mode now.
 | Number of the current line is highlighted in the margin with other color now.
 | Luminance of comparison colors in Comparison Map has been adjusted.

Visual Comparer - version 0.90 (build 0197, beta).

Added features:
 | Support text files in Unicode and UTF-8 formats (Unicode version only for Windows NT based operation systems).
 | Coping of the selected text to the clipboard in HTML format with keeping of syntax highlight. Only as text with following pasting into your favorite HTML editor or as HTML for editors that support HTML clipboard format (MS Word for example).
 | Line matching engine; simply press "F12" key for view lines differences.
 | "Create Backup files" mode added.
 | "Help Keyboard" dialog for view all current keyboard accelerators.
 | Mouse whell support.

Visual Comparer - version 0.89 (build 0154, beta).

Added features:
 | Installation program available.
 | Support Skin technology (see "Visualizations..." button on "Options" page in "Customize" dialog).
 | Now every 10th number of line drawing with other color in margin.
 | New command "Parking splitter" to left or right sides (with horizontal orientation - to top or bottom). Very comfortably for use from keyboard accelerators. Also, you can centre position of the splitter - simply double click into his area.
 | Go to first difference block after comparison (optional).
 | Go to next difference block after coping difference from/to other pane (optional).
 | Reengineering of Comparison Bar. It's not be dockable object now. You can place it on the left/right side only and also turn on/off (optional).
 | Swap panes mode.
 | New syntax highlight for JScript .NET (version 7.0 from Visual Studio .NET).
 | One-touch positioning in Comparison Map. Simply click on target area!
 | You can turn off/on scrollbar(s) on the right side now. See Tools-Settings-"Editors" properties page.